Loading...
Searching...
No Matches
dolfin::TopologyComputation Class Reference

`#include <TopologyComputation.h>`

## Static Public Member Functions

static std::size_t | compute_entities (Mesh &mesh, std::size_t dim)
static std::size_t | compute_entities_old (Mesh &mesh, std::size_t dim)
static void | compute_connectivity (Mesh &mesh, std::size_t d0, std::size_t d1)
| Compute connectivity for given pair of topological dimensions.

## Detailed Description

This class implements a set of basic algorithms that automate the computation of mesh entities and connectivity.

## Member Function Documentation

## compute_entities()

std::size_t TopologyComputation::compute_entities | ( | Mesh & | mesh,
|  | std::size_t | dim )

static

Compute mesh entities of given topological dimension, and connectivity cell-to-enity (tdim, dim)

## compute_entities_old()

std::size_t dolfin::TopologyComputation::compute_entities_old | ( | Mesh & | mesh,
|  | std::size_t | dim )

static

Compute mesh entities of given topological dimension. Note: this function will be replaced by the new 'compute_entities' function, which is considerably faster, especially for poorly ordered mesh.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/TopologyComputation.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/TopologyComputation.cpp